import pytest
import os
import libvirt

@pytest.fixture
def script():
    is_packaged = False
    script = 'scullery'
    if not is_packaged:
        script = f'{script}.py'
    return script


@pytest.fixture
def testbase():
    return os.path.abspath(os.path.dirname(os.getenv('PYTEST_CURRENT_TEST')))


@pytest.fixture
def config(testbase, request):
    return '{}/configs/{}.ini'.format(testbase, request.param)


@pytest.fixture
def virt():
    return libvirt.openReadOnly('qemu:///system')

